/******************
 * 菜单管理
 *****************/

// 导入请求公用方法
import {
    request
} from '../../utils/axiosFun';

export function GetMenu() {
    return request('get', '/admin/menu', {})
}

export function fetchList(query) {
    return request('post', '/api/sys/menu/list', query)
}
export function fetchMenuTree(){
    return request('get','/api/sys/menu/tree')
}

export function addObj(obj) {
    return request('post', '/api/sys/menu/save', obj)
}

export function getObj(id) {
    return request('get', '/api/sys/menu/info/' + id)
}

export function delObj(id) {
    return request('get', '/api/sys/menu/delete/' + id)
}

export function putObj(obj) {
    return request('post', '/api/sys/menu/update', obj)
}
